#!/usr/bin/env python
# encoding: utf-8
"""
convert.py

Created by Alcides Fonseca on 2008-08-09.
Copyright (c) 2008 Alcides Fonseca. All rights reserved.
"""

import sys
import os
import re

FILENAME = "goodreads_export.csv"
OUTPUT = "my_shelfari.txt"

def main():
	input = open(FILENAME,"r")
	output = open(OUTPUT,"w")
	output.write("ISBN\n")
	
	for line in input.readlines()[1:]:
		
		
		i = line.find("=", line.find("=")+1)+2
		f = line.find('"',i)

		l = line[i:f]
		if not l.isdigit() or len(l) != 13:
			continue
		
		isbn = l
		output.write("[%s]\n" % isbn)
		print isbn
		
	input.close()
	output.close()

if __name__ == '__main__':
	main()

